iic: XIic Struct Reference

| iic Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XIic Struct Reference
Iic_v3_4

The XIic driver instance data. More...

## Data Fields
XIicStats | Stats
| Statistics. More...
UINTPTR | BaseAddress
| Device base address. More...
int | Has10BitAddr
| TRUE when 10 bit addressing in design. More...
int | IsReady
| Device is initialized and ready. More...
int | IsStarted
| Device has been started. More...
int | AddrOfSlave
| Slave Address writing to. More...
u32 | Options
| Current operating options. More...
u8 * | SendBufferPtr
| Buffer to send (state) More...
u8 * | RecvBufferPtr
| Buffer to receive (state) More...
u8 | TxAddrMode
| State of Tx Address transmission. More...
int | SendByteCount
| Number of data bytes in buffer (state) More...
int | RecvByteCount
| Number of empty bytes in buffer (state) More...
u32 | BNBOnly
| TRUE when BNB interrupt needs to. More...
u8 | GpOutWidth
| General purpose output width. More...
XIic_StatusHandler | StatusHandler
| Status Handler. More...
void * | StatusCallBackRef
| Callback reference for status handler. More...
XIic_Handler | RecvHandler
| Receive Handler. More...
void * | RecvCallBackRef
| Callback reference for Recv handler. More...
XIic_Handler | SendHandler
| Send Handler. More...
void * | SendCallBackRef
| Callback reference for send handler. More...
int | IsDynamic
| TRUE when Dynamic control is used. More...
int | IsSlaveSetAckOff
| TRUE when Slave has set the ACK Off. More...

## Detailed Description

The XIic driver instance data.

The user is required to allocate a variable of this type for every IIC device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

int XIic::AddrOfSlave

Slave Address writing to.

Referenced by XIic_DynMasterRecv(), XIic_DynMasterSend(), XIic_GetAddress(), XIic_MasterRecv(), XIic_MasterSend(), and XIic_SetAddress().

UINTPTR XIic::BaseAddress

Device base address.

Referenced by SlaveReadData(), SlaveWriteData(), TenBitAddrReadData(), TenBitAddrWriteData(), XIic_CfgInitialize(), XIic_DynMasterRecv(), XIic_DynMasterSend(), XIic_GetAddress(), XIic_GetGpOutput(), XIic_InterruptHandler(), XIic_IsSlave(), XIic_MasterRecv(), XIic_MasterSend(), XIic_Reset(), XIic_SelfTest(), XIic_SetAddress(), XIic_SetGpOutput(), XIic_SetOptions(), XIic_SlaveRecv(), XIic_SlaveSend(), XIic_Start(), and XIic_Stop().

u32 XIic::BNBOnly

TRUE when BNB interrupt needs to.

call callback

Referenced by XIic_CfgInitialize(), and XIic_InterruptHandler().

u8 XIic::GpOutWidth

General purpose output width.

Referenced by XIic_CfgInitialize(), XIic_GetGpOutput(), and XIic_SetGpOutput().

int XIic::Has10BitAddr

TRUE when 10 bit addressing in design.

Referenced by XIic_CfgInitialize(), XIic_GetAddress(), and XIic_SetAddress().

int XIic::IsDynamic

TRUE when Dynamic control is used.

Referenced by XIic_CfgInitialize(), XIic_DynMasterRecv(), XIic_DynMasterSend(), XIic_MasterRecv(), XIic_MasterSend(), and XIic_Start().

int XIic::IsReady

Device is initialized and ready.

Referenced by XIic_CfgInitialize(), XIic_ClearStats(), XIic_GetStats(), XIic_Reset(), XIic_SelfTest(), XIic_SetRecvHandler(), XIic_SetSendHandler(), XIic_SetStatusHandler(), and XIic_Start().

int XIic::IsSlaveSetAckOff

TRUE when Slave has set the ACK Off.

Referenced by XIic_CfgInitialize().

int XIic::IsStarted

Device has been started.

Referenced by XIic_CfgInitialize(), XIic_Start(), and XIic_Stop().

u32 XIic::Options

Current operating options.

Referenced by XIic_CfgInitialize(), XIic_GetOptions(), XIic_MasterRecv(), XIic_MasterSend(), and XIic_SetOptions().

u8* XIic::RecvBufferPtr

Buffer to receive (state)

Referenced by XIic_CfgInitialize(), XIic_DynMasterRecv(), XIic_MasterRecv(), XIic_MasterSend(), XIic_SlaveRecv(), and XIic_SlaveSend().

int XIic::RecvByteCount

Number of empty bytes in buffer (state)

Referenced by XIic_DynMasterRecv(), XIic_MasterRecv(), and XIic_SlaveRecv().

void* XIic::RecvCallBackRef

Callback reference for Recv handler.

Referenced by XIic_SetRecvHandler().

XIic_Handler XIic::RecvHandler

Receive Handler.

Referenced by XIic_CfgInitialize(), and XIic_SetRecvHandler().

u8* XIic::SendBufferPtr

Buffer to send (state)

Referenced by XIic_CfgInitialize(), XIic_DynMasterSend(), XIic_MasterRecv(), XIic_MasterSend(), XIic_SlaveRecv(), and XIic_SlaveSend().

int XIic::SendByteCount

Number of data bytes in buffer (state)

Referenced by XIic_DynMasterSend(), XIic_MasterSend(), and XIic_SlaveSend().

void* XIic::SendCallBackRef

Callback reference for send handler.

Referenced by XIic_InterruptHandler(), and XIic_SetSendHandler().

XIic_Handler XIic::SendHandler

Send Handler.

Referenced by XIic_CfgInitialize(), XIic_InterruptHandler(), and XIic_SetSendHandler().

XIicStats XIic::Stats

Statistics.

Referenced by DynEepromWriteData(), EepromWriteData(), IicMultiMasterExample(), XIic_ClearStats(), XIic_DynMasterRecv(), XIic_DynMasterSend(), XIic_GetStats(), XIic_InterruptHandler(), XIic_MasterRecv(), and XIic_MasterSend().

void* XIic::StatusCallBackRef

Callback reference for status handler.

Referenced by XIic_SetStatusHandler().

XIic_StatusHandler XIic::StatusHandler

Status Handler.

Referenced by XIic_CfgInitialize(), and XIic_SetStatusHandler().

u8 XIic::TxAddrMode

State of Tx Address transmission.

Referenced by XIic_DynMasterRecv(), XIic_DynMasterSend(), XIic_MasterRecv(), and XIic_MasterSend().